using System; 
using Server; 
using Server.Items;

namespace Server.Items
{ 
   public class FleshGolemBag : Bag 
   { 
      [Constructable] 
      public FleshGolemBag() : this( 1 ) 
      { 
		  Movable = true; 
		  Hue = 0x315; 
		  Name = "Flesh Golem Bag";
      } 
	   [Constructable]
	   public FleshGolemBag( int amount )
	   {
			DropItem( new LeftArm( 3 ) );
			DropItem( new RightArm( 3 ) );
			DropItem( new LeftLeg( 3 ) );
			DropItem( new RightLeg( 3 ) );
			DropItem( new Head( 3 ) );
			DropItem( new Heart( 3 ) );
			DropItem( new Brain( 3 ) );
			DropItem( new Liver( 3 ) ) ;
			DropItem( new Entrails( 3 ) );
			DropItem( new DaemonBlood( 160 ) );
			DropItem( new LesserFleshGolemTorso() );
			DropItem( new FleshGolemTorso() );
			DropItem( new GreaterFleshGolemTorso() );
			DropItem( new SpoolOfThread( 3 ) );
			DropItem( new ArcaneGem( 16 ) );
			DropItem( new NecroGolemCraftingTools() );
	   }
		

      public FleshGolemBag( Serial serial ) : base( serial ) 
      { 
      } 

      public override void Serialize( GenericWriter writer ) 
      { 
         base.Serialize( writer ); 

         writer.Write( (int) 0 ); // version 
      } 

      public override void Deserialize( GenericReader reader ) 
      { 
         base.Deserialize( reader ); 

         int version = reader.ReadInt(); 
      } 
   } 
} 
